---
title: 'exsl:node-set()'
slug: Web/EXSLT/exsl/node-set
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}{{Fx_minversion_header(3)}}</div>

<p><code>exsl:node-set()</code> returns a node-set from a result tree fragment, which is what you get when you look at the <code>xsl:variable</code> instead of its select attribute to fetch a variable's value. This lets you process the XML created within a variable to process it in multiple steps.</p>

<p>You can also use <code>exsl:node-set()</code> to turn strings into text nodes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">exsl:node-set(<em>object</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><em>object</em></code></dt>
 <dd>The object for which to return the corresponding node-set.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The node-set corresponding to the specified <code><em>object</em></code>.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/exsl/functions/node-set/index.html">EXSLT - EXSL:NODE-SET</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.exsl.node-set")}}</p>
